Announcement

Collapse
No announcement yet.

Raspberry Pi 4's V3D Driver Lands OpenGL ES 3.1 Bits In Mesa 19.3-devel

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Raspberry Pi 4's V3D Driver Lands OpenGL ES 3.1 Bits In Mesa 19.3-devel

    Phoronix: Raspberry Pi 4's V3D Driver Lands OpenGL ES 3.1 Bits In Mesa 19.3-devel

    The Broadcom "V3D" Gallium3D driver that is most notably used by the new Raspberry Pi 4 boards now is effectively at OpenGL ES 3.1 support within the newest Mesa 19.3 code...

    http://www.phoronix.com/scan.php?pag...-3.1-Bits-Mesa

  • #2
    Daniel VanVugt is toying with PIs now. We all know what that means..

    Comment


    • #3
      Originally posted by 144Hz View Post
      Daniel VanVugt is toying with PIs now. We all know what that means..
      I don't. Could you elaborate?

      Comment


      • #4
        StandaSK It will most likely end with further performance work.

        Comment


        • #5
          Originally posted by 144Hz View Post
          StandaSK It will most likely end with further performance work.
          they should tune mutter/weston/kwin on devices like Pi/Odroid
          as you mostly don't see bottleneck on big CPUs and fast GPUs

          Comment


          • #6
            miskol Mutter might just do that. At least they got the right people with the right tools. At least looking at the performance patches in pipeline for 3.36 leaves you fairly optimistic..

            Comment


            • #7
              I'm running gnome 3.34 on the xu4 and it runs pretty well already.

              Comment


              • #8
                This news makes me want to buy a Pi 4, even though I don't even have a use case for it yet. I just want it!

                Comment


                • #9
                  Plasma 5.17 works okay on the pi 4 in Xorg (using manjaro arm)

                  (I wonder if this patch means you can enable OpenGL 3.1 kwin backend now?)

                  Comment


                  • #10
                    Originally posted by Baguy View Post
                    (I wonder if this patch means you can enable OpenGL 3.1 kwin backend now?)
                    subj is talking about opengl es

                    Comment

                    Working...
                    X